This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 556275 - Scrollwheel too fast using Microsoft IntelliMouses
Scrollwheel too fast using Microsoft IntelliMouses
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mousetweaks (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Jiri Moskovcak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-17 10:42 EST by Peter Hubbard
Modified: 2015-02-01 17:50 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 723446 (view as bug list)
Environment:
Last Closed: 2010-12-03 19:16:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Hubbard 2010-01-17 10:42:02 EST
Description of problem:
Scrolling with a newer Microsoft mouse is too fast. The tracking


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Run 'xev' 
2. Move the scrollwheel up or down a small amount
3. Note how approx. 5 entries are displayed per 'notch' of the scrollwheel.
  
Actual results:
ButtonPress event, serial 33, synthetic NO, window 0x5600001,
    root 0x142, subw 0x0, time 7029513, (167,126), root:(176,221),
    state 0x0, button 5, same_screen YES

ButtonRelease event, serial 33, synthetic NO, window 0x5600001,
    root 0x142, subw 0x0, time 7029513, (167,126), root:(176,221),
    state 0x1000, button 5, same_screen YES

ButtonPress event, serial 33, synthetic NO, window 0x5600001,
    root 0x142, subw 0x0, time 7029513, (167,126), root:(176,221),
    state 0x0, button 5, same_screen YES

ButtonRelease event, serial 33, synthetic NO, window 0x5600001,
    root 0x142, subw 0x0, time 7029513, (167,126), root:(176,221),
    state 0x1000, button 5, same_screen YES

ButtonPress event, serial 33, synthetic NO, window 0x5600001,
    root 0x142, subw 0x0, time 7029513, (167,126), root:(176,221),
    state 0x0, button 5, same_screen YES

ButtonRelease event, serial 33, synthetic NO, window 0x5600001,
    root 0x142, subw 0x0, time 7029513, (167,126), root:(176,221),
    state 0x1000, button 5, same_screen YES

ButtonPress event, serial 33, synthetic NO, window 0x5600001,
    root 0x142, subw 0x0, time 7029513, (167,126), root:(176,221),
    state 0x0, button 5, same_screen YES

ButtonRelease event, serial 33, synthetic NO, window 0x5600001,
    root 0x142, subw 0x0, time 7029513, (167,126), root:(176,221),
    state 0x1000, button 5, same_screen YES


Expected results:
Only one ButtonPress/ButtonRelease event per 'notch' of the scrollwheel.


Additional info:
The problem exists in Windows as well. Apparently the 'delta' for the scrollwheel was changed in newer drivers, to support more finegrained control of the scrollwheel in future devices. This delta always used to be '120'. A code solution for Windows explains this better: http://nwn2forums.bioware.com/forums/viewtopic.html?topic=622848&forum=116

"with the Microsoft Mouse driver (other drivers may also be involved, but the latest MS drivers is certain), it is possible to receive rotation values UNDER 120. For example, if the wheel is moved slowly, you'll get two 60's instead, or a 54 and 72, etc. So if your code was something like:

scrollby = ((short)HIWORD(wParam)) / 120;

Then you'd be screwed, as the rounding would give you zero. Only big scroll events would exceed the 120 mark, slow scrolling would get dropped - with very bad results.



Interestingly, the very latest MSDN docs still have the above line in them, but have added:

The delta was set to 120 to allow Microsoft or other vendors to build finer-resolution wheels in the future, including perhaps a freely-rotating wheel with no notches. The expectation is that such a device would send more messages per rotation, but with a smaller value in each message. To support this possibility, you should either add the incoming delta values until WHEEL_DELTA is reached (so for a delta-rotation you get the same response), or scroll partial lines in response to the more frequent messages. You could also choose your scroll granularity and accumulate deltas until it is reached."
Comment 1 Bug Zapper 2010-11-03 20:44:13 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-12-03 19:16:09 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.